cxf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Benson Margulies <bimargul...@gmail.com>
Subject Re: source/compiler targets for compiler plugin in CXF
Date Fri, 19 Nov 2010 21:27:53 GMT
I agree with Dan. Snoracle can call it End Of Life all it wants, but
no one seems to be listening.

On Fri, Nov 19, 2010 at 4:20 PM, Daniel Kulp <dkulp@apache.org> wrote:
> On Friday 19 November 2010 3:56:11 pm Seumas Soltysik wrote:
>> I noticed in the CXF project pom, there are 2 different configurations from
>> the maven compiler plugin. One which targets the eclipse environment has a
>> source/target of 1.6 while the other uses a slightly different plugin
>> version and targets 1.5. I would think that with the end of life of
>> JDK1.5, the CXF 2.3 build would target 1.6.
>
> CXF is used widely in a bunch of other applications that still target Java5.
> Thus, making CXF Java6 only at this point may be pre-mature.
>
> For 2.4, we MAY drop support for Java 5, but it's not a topic we've really
> approached yet.    To me, it kind of depends on what's the cost to us of
> supporting Java5 in addition to Java6.   For the most part, the only thing we
> keep running into is the @Override on interface defined methods.   If there
> isn't much "cost" to keep supporting Java5, then why not?   If there was
> something in Java6 that we really wanted to use that we cannot do with Java5,
> that would be something else entirely.
>
>
> --
> Daniel Kulp
> dkulp@apache.org
> http://dankulp.com/blog
>

Mime
View raw message